Package jnr.constants.platform.linux.loongarch64

# Enum Sysconf

java.lang.Object
java.lang.Enum<Sysconf>
jnr.constants.platform.linux.loongarch64.Sysconf

All Implemented Interfaces:
  `Serializable`, `Comparable<Sysconf>`, `java.lang.constant.Constable`, `Constant`

public enum Sysconf extends Enum<Sysconf> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_SC_2_C_BIND`
`_SC_2_C_DEV`
`_SC_2_CHAR_TERM`
`_SC_2_FORT_DEV`
`_SC_2_FORT_RUN`
`_SC_2_LOCALEDEF`
`_SC_2_PBS`
`_SC_2_PBS_ACCOUNTING`
`_SC_2_PBS_CHECKPOINT`
`_SC_2_PBS_LOCATE`
`_SC_2_PBS_MESSAGE`
`_SC_2_PBS_TRACK`
`_SC_2_SW_DEV`
`_SC_2_UPE`
`_SC_2_VERSION`
`_SC_ADVISORY_INFO`
`_SC_AIO_LISTIO_MAX`
`_SC_AIO_MAX`
`_SC_AIO_PRIO_DELTA_MAX`
`_SC_ARG_MAX`
`_SC_ASYNCHRONOUS_IO`
`_SC_ATEXIT_MAX`
`_SC_BARRIERS`
`_SC_BC_BASE_MAX`
`_SC_BC_DIM_MAX`
`_SC_BC_SCALE_MAX`
`_SC_BC_STRING_MAX`
`_SC_CHILD_MAX`
`_SC_CLK_TCK`
`_SC_CLOCK_SELECTION`
`_SC_COLL_WEIGHTS_MAX`
`_SC_CPUTIME`
`_SC_DELAYTIMER_MAX`
`_SC_EXPR_NEST_MAX`
`_SC_FILE_LOCKING`
`_SC_FSYNC`
`_SC_GETGR_R_SIZE_MAX`
`_SC_GETPW_R_SIZE_MAX`
`_SC_HOST_NAME_MAX`
`_SC_IOV_MAX`
`_SC_IPV6`
`_SC_JOB_CONTROL`
`_SC_LINE_MAX`
`_SC_LOGIN_NAME_MAX`
`_SC_MAPPED_FILES`
`_SC_MEMLOCK`
`_SC_MEMLOCK_RANGE`
`_SC_MEMORY_PROTECTION`
`_SC_MESSAGE_PASSING`
`_SC_MONOTONIC_CLOCK`
`_SC_MQ_OPEN_MAX`
`_SC_MQ_PRIO_MAX`
`_SC_NGROUPS_MAX`
`_SC_NPROCESSORS_CONF`
`_SC_NPROCESSORS_ONLN`
`_SC_OPEN_MAX`
`_SC_PAGE_SIZE`
`_SC_PAGESIZE`
`_SC_PASS_MAX`
`_SC_PRIORITIZED_IO`
`_SC_PRIORITY_SCHEDULING`
`_SC_RAW_SOCKETS`
`_SC_RE_DUP_MAX`
`_SC_READER_WRITER_LOCKS`
`_SC_REALTIME_SIGNALS`
`_SC_REGEXP`
`_SC_RTSIG_MAX`
`_SC_SAVED_IDS`
`_SC_SEM_NSEMS_MAX`
`_SC_SEM_VALUE_MAX`
`_SC_SEMAPHORES`
`_SC_SHARED_MEMORY_OBJECTS`
`_SC_SHELL`
`_SC_SIGQUEUE_MAX`
`_SC_SPAWN`
`_SC_SPIN_LOCKS`
`_SC_SPORADIC_SERVER`
`_SC_SS_REPL_MAX`
`_SC_STREAM_MAX`
`_SC_SYMLOOP_MAX`
`_SC_SYNCHRONIZED_IO`
`_SC_THREAD_ATTR_STACKADDR`
`_SC_THREAD_ATTR_STACKSIZE`
`_SC_THREAD_CPUTIME`
`_SC_THREAD_DESTRUCTOR_ITERATIONS`
`_SC_THREAD_KEYS_MAX`
`_SC_THREAD_PRIO_INHERIT`
`_SC_THREAD_PRIO_PROTECT`
`_SC_THREAD_PRIORITY_SCHEDULING`
`_SC_THREAD_PROCESS_SHARED`
`_SC_THREAD_SAFE_FUNCTIONS`
`_SC_THREAD_SPORADIC_SERVER`
`_SC_THREAD_STACK_MIN`
`_SC_THREAD_THREADS_MAX`
`_SC_THREADS`
`_SC_TIMEOUTS`
`_SC_TIMER_MAX`
`_SC_TIMERS`
`_SC_TRACE`
`_SC_TRACE_EVENT_FILTER`
`_SC_TRACE_EVENT_NAME_MAX`
`_SC_TRACE_INHERIT`
`_SC_TRACE_LOG`
`_SC_TRACE_NAME_MAX`
`_SC_TRACE_SYS_MAX`
`_SC_TRACE_USER_EVENT_MAX`
`_SC_TTY_NAME_MAX`
`_SC_TYPED_MEMORY_OBJECTS`
`_SC_TZNAME_MAX`
`_SC_V6_ILP32_OFF32`
`_SC_V6_ILP32_OFFBIG`
`_SC_V6_LP64_OFF64`
`_SC_V6_LPBIG_OFFBIG`
`_SC_VERSION`
`_SC_XBS5_ILP32_OFF32`
`_SC_XBS5_ILP32_OFFBIG`
`_SC_XBS5_LP64_OFF64`
`_SC_XBS5_LPBIG_OFFBIG`
`_SC_XOPEN_CRYPT`
`_SC_XOPEN_ENH_I18N`
`_SC_XOPEN_LEGACY`
`_SC_XOPEN_REALTIME`
`_SC_XOPEN_REALTIME_THREADS`
`_SC_XOPEN_SHM`
`_SC_XOPEN_STREAMS`
`_SC_XOPEN_UNIX`
`_SC_XOPEN_VERSION`
`_SC_XOPEN_XCU_VERSION`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Sysconf`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Sysconf[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### _SC_ARG_MAX

public static final Sysconf _SC_ARG_MAX

### _SC_CHILD_MAX

public static final Sysconf _SC_CHILD_MAX

### _SC_CLK_TCK

public static final Sysconf _SC_CLK_TCK

### _SC_NGROUPS_MAX

public static final Sysconf _SC_NGROUPS_MAX

### _SC_OPEN_MAX

public static final Sysconf _SC_OPEN_MAX

### _SC_JOB_CONTROL

public static final Sysconf _SC_JOB_CONTROL

### _SC_SAVED_IDS

public static final Sysconf _SC_SAVED_IDS

### _SC_VERSION

public static final Sysconf _SC_VERSION

### _SC_BC_BASE_MAX

public static final Sysconf _SC_BC_BASE_MAX

### _SC_BC_DIM_MAX

public static final Sysconf _SC_BC_DIM_MAX

### _SC_BC_SCALE_MAX

public static final Sysconf _SC_BC_SCALE_MAX

### _SC_BC_STRING_MAX

public static final Sysconf _SC_BC_STRING_MAX

### _SC_COLL_WEIGHTS_MAX

public static final Sysconf _SC_COLL_WEIGHTS_MAX

### _SC_EXPR_NEST_MAX

public static final Sysconf _SC_EXPR_NEST_MAX

### _SC_LINE_MAX

public static final Sysconf _SC_LINE_MAX

### _SC_RE_DUP_MAX

public static final Sysconf _SC_RE_DUP_MAX

### _SC_2_VERSION

public static final Sysconf _SC_2_VERSION

### _SC_2_C_BIND

public static final Sysconf _SC_2_C_BIND

### _SC_2_C_DEV

public static final Sysconf _SC_2_C_DEV

### _SC_2_CHAR_TERM

public static final Sysconf _SC_2_CHAR_TERM

### _SC_2_FORT_DEV

public static final Sysconf _SC_2_FORT_DEV

### _SC_2_FORT_RUN

public static final Sysconf _SC_2_FORT_RUN

### _SC_2_LOCALEDEF

public static final Sysconf _SC_2_LOCALEDEF

### _SC_2_SW_DEV

public static final Sysconf _SC_2_SW_DEV

### _SC_2_UPE

public static final Sysconf _SC_2_UPE

### _SC_STREAM_MAX

public static final Sysconf _SC_STREAM_MAX

### _SC_TZNAME_MAX

public static final Sysconf _SC_TZNAME_MAX

### _SC_ASYNCHRONOUS_IO

public static final Sysconf _SC_ASYNCHRONOUS_IO

### _SC_PAGESIZE

public static final Sysconf _SC_PAGESIZE

### _SC_MEMLOCK

public static final Sysconf _SC_MEMLOCK

### _SC_MEMLOCK_RANGE

public static final Sysconf _SC_MEMLOCK_RANGE

### _SC_MEMORY_PROTECTION

public static final Sysconf _SC_MEMORY_PROTECTION

### _SC_MESSAGE_PASSING

public static final Sysconf _SC_MESSAGE_PASSING

### _SC_PRIORITIZED_IO

public static final Sysconf _SC_PRIORITIZED_IO

### _SC_PRIORITY_SCHEDULING

public static final Sysconf _SC_PRIORITY_SCHEDULING

### _SC_REALTIME_SIGNALS

public static final Sysconf _SC_REALTIME_SIGNALS

### _SC_SEMAPHORES

public static final Sysconf _SC_SEMAPHORES

### _SC_FSYNC

public static final Sysconf _SC_FSYNC

### _SC_SHARED_MEMORY_OBJECTS

public static final Sysconf _SC_SHARED_MEMORY_OBJECTS

### _SC_SYNCHRONIZED_IO

public static final Sysconf _SC_SYNCHRONIZED_IO

### _SC_TIMERS

public static final Sysconf _SC_TIMERS

### _SC_AIO_LISTIO_MAX

public static final Sysconf _SC_AIO_LISTIO_MAX

### _SC_AIO_MAX

public static final Sysconf _SC_AIO_MAX

### _SC_AIO_PRIO_DELTA_MAX

public static final Sysconf _SC_AIO_PRIO_DELTA_MAX

### _SC_DELAYTIMER_MAX

public static final Sysconf _SC_DELAYTIMER_MAX

### _SC_MQ_OPEN_MAX

public static final Sysconf _SC_MQ_OPEN_MAX

### _SC_MAPPED_FILES

public static final Sysconf _SC_MAPPED_FILES

### _SC_RTSIG_MAX

public static final Sysconf _SC_RTSIG_MAX

### _SC_SEM_NSEMS_MAX

public static final Sysconf _SC_SEM_NSEMS_MAX

### _SC_SEM_VALUE_MAX

public static final Sysconf _SC_SEM_VALUE_MAX

### _SC_SIGQUEUE_MAX

public static final Sysconf _SC_SIGQUEUE_MAX

### _SC_TIMER_MAX

public static final Sysconf _SC_TIMER_MAX

### _SC_NPROCESSORS_CONF

public static final Sysconf _SC_NPROCESSORS_CONF

### _SC_NPROCESSORS_ONLN

public static final Sysconf _SC_NPROCESSORS_ONLN

### _SC_2_PBS

public static final Sysconf _SC_2_PBS

### _SC_2_PBS_ACCOUNTING

public static final Sysconf _SC_2_PBS_ACCOUNTING

### _SC_2_PBS_CHECKPOINT

public static final Sysconf _SC_2_PBS_CHECKPOINT

### _SC_2_PBS_LOCATE

public static final Sysconf _SC_2_PBS_LOCATE

### _SC_2_PBS_MESSAGE

public static final Sysconf _SC_2_PBS_MESSAGE

### _SC_2_PBS_TRACK

public static final Sysconf _SC_2_PBS_TRACK

### _SC_ADVISORY_INFO

public static final Sysconf _SC_ADVISORY_INFO

### _SC_BARRIERS

public static final Sysconf _SC_BARRIERS

### _SC_CLOCK_SELECTION

public static final Sysconf _SC_CLOCK_SELECTION

### _SC_CPUTIME

public static final Sysconf _SC_CPUTIME

### _SC_FILE_LOCKING

public static final Sysconf _SC_FILE_LOCKING

### _SC_GETGR_R_SIZE_MAX

public static final Sysconf _SC_GETGR_R_SIZE_MAX

### _SC_GETPW_R_SIZE_MAX

public static final Sysconf _SC_GETPW_R_SIZE_MAX

### _SC_HOST_NAME_MAX

public static final Sysconf _SC_HOST_NAME_MAX

### _SC_LOGIN_NAME_MAX

public static final Sysconf _SC_LOGIN_NAME_MAX

### _SC_MONOTONIC_CLOCK

public static final Sysconf _SC_MONOTONIC_CLOCK

### _SC_MQ_PRIO_MAX

public static final Sysconf _SC_MQ_PRIO_MAX

### _SC_READER_WRITER_LOCKS

public static final Sysconf _SC_READER_WRITER_LOCKS

### _SC_REGEXP

public static final Sysconf _SC_REGEXP

### _SC_SHELL

public static final Sysconf _SC_SHELL

### _SC_SPAWN

public static final Sysconf _SC_SPAWN

### _SC_SPIN_LOCKS

public static final Sysconf _SC_SPIN_LOCKS

### _SC_SPORADIC_SERVER

public static final Sysconf _SC_SPORADIC_SERVER

### _SC_THREAD_ATTR_STACKADDR

public static final Sysconf _SC_THREAD_ATTR_STACKADDR

### _SC_THREAD_ATTR_STACKSIZE

public static final Sysconf _SC_THREAD_ATTR_STACKSIZE

### _SC_THREAD_CPUTIME

public static final Sysconf _SC_THREAD_CPUTIME

### _SC_THREAD_DESTRUCTOR_ITERATIONS

public static final Sysconf _SC_THREAD_DESTRUCTOR_ITERATIONS

### _SC_THREAD_KEYS_MAX

public static final Sysconf _SC_THREAD_KEYS_MAX

### _SC_THREAD_PRIO_INHERIT

public static final Sysconf _SC_THREAD_PRIO_INHERIT

### _SC_THREAD_PRIO_PROTECT

public static final Sysconf _SC_THREAD_PRIO_PROTECT

### _SC_THREAD_PRIORITY_SCHEDULING

public static final Sysconf _SC_THREAD_PRIORITY_SCHEDULING

### _SC_THREAD_PROCESS_SHARED

public static final Sysconf _SC_THREAD_PROCESS_SHARED

### _SC_THREAD_SAFE_FUNCTIONS

public static final Sysconf _SC_THREAD_SAFE_FUNCTIONS

### _SC_THREAD_SPORADIC_SERVER

public static final Sysconf _SC_THREAD_SPORADIC_SERVER

### _SC_THREAD_STACK_MIN

public static final Sysconf _SC_THREAD_STACK_MIN

### _SC_THREAD_THREADS_MAX

public static final Sysconf _SC_THREAD_THREADS_MAX

### _SC_TIMEOUTS

public static final Sysconf _SC_TIMEOUTS

### _SC_THREADS

public static final Sysconf _SC_THREADS

### _SC_TRACE

public static final Sysconf _SC_TRACE

### _SC_TRACE_EVENT_FILTER

public static final Sysconf _SC_TRACE_EVENT_FILTER

### _SC_TRACE_INHERIT

public static final Sysconf _SC_TRACE_INHERIT

### _SC_TRACE_LOG

public static final Sysconf _SC_TRACE_LOG

### _SC_TTY_NAME_MAX

public static final Sysconf _SC_TTY_NAME_MAX

### _SC_TYPED_MEMORY_OBJECTS

public static final Sysconf _SC_TYPED_MEMORY_OBJECTS

### _SC_V6_ILP32_OFF32

public static final Sysconf _SC_V6_ILP32_OFF32

### _SC_V6_ILP32_OFFBIG

public static final Sysconf _SC_V6_ILP32_OFFBIG

### _SC_V6_LP64_OFF64

public static final Sysconf _SC_V6_LP64_OFF64

### _SC_V6_LPBIG_OFFBIG

public static final Sysconf _SC_V6_LPBIG_OFFBIG

### _SC_IPV6

public static final Sysconf _SC_IPV6

### _SC_RAW_SOCKETS

public static final Sysconf _SC_RAW_SOCKETS

### _SC_SYMLOOP_MAX

public static final Sysconf _SC_SYMLOOP_MAX

### _SC_ATEXIT_MAX

public static final Sysconf _SC_ATEXIT_MAX

### _SC_IOV_MAX

public static final Sysconf _SC_IOV_MAX

### _SC_PAGE_SIZE

public static final Sysconf _SC_PAGE_SIZE

### _SC_XOPEN_CRYPT

public static final Sysconf _SC_XOPEN_CRYPT

### _SC_XOPEN_ENH_I18N

public static final Sysconf _SC_XOPEN_ENH_I18N

### _SC_XOPEN_LEGACY

public static final Sysconf _SC_XOPEN_LEGACY

### _SC_XOPEN_REALTIME

public static final Sysconf _SC_XOPEN_REALTIME

### _SC_XOPEN_REALTIME_THREADS

public static final Sysconf _SC_XOPEN_REALTIME_THREADS

### _SC_XOPEN_SHM

public static final Sysconf _SC_XOPEN_SHM

### _SC_XOPEN_STREAMS

public static final Sysconf _SC_XOPEN_STREAMS

### _SC_XOPEN_UNIX

public static final Sysconf _SC_XOPEN_UNIX

### _SC_XOPEN_VERSION

public static final Sysconf _SC_XOPEN_VERSION

### _SC_XOPEN_XCU_VERSION

public static final Sysconf _SC_XOPEN_XCU_VERSION

### _SC_XBS5_ILP32_OFF32

public static final Sysconf _SC_XBS5_ILP32_OFF32

### _SC_XBS5_ILP32_OFFBIG

public static final Sysconf _SC_XBS5_ILP32_OFFBIG

### _SC_XBS5_LP64_OFF64

public static final Sysconf _SC_XBS5_LP64_OFF64

### _SC_XBS5_LPBIG_OFFBIG

public static final Sysconf _SC_XBS5_LPBIG_OFFBIG

### _SC_SS_REPL_MAX

public static final Sysconf _SC_SS_REPL_MAX

### _SC_TRACE_EVENT_NAME_MAX

public static final Sysconf _SC_TRACE_EVENT_NAME_MAX

### _SC_TRACE_NAME_MAX

public static final Sysconf _SC_TRACE_NAME_MAX

### _SC_TRACE_SYS_MAX

public static final Sysconf _SC_TRACE_SYS_MAX

### _SC_TRACE_USER_EVENT_MAX

public static final Sysconf _SC_TRACE_USER_EVENT_MAX

### _SC_PASS_MAX

public static final Sysconf _SC_PASS_MAX

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Sysconf[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Sysconf valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Sysconf>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`